utility-ht-0.0.14: Various small helper functions for Lists, Maybes, Tuples, Functions

Safe Haskell | Safe
Language | Haskell98

Data.Bits.HT

Synopsis

- (.<<.) :: Bits a => a -> Int -> a
- (.>>.) :: Bits a => a -> Int -> a

# Documentation

(.<<.) :: Bits a => a -> Int -> a infixl 7 #

Infix variant of `shiftL`. Precedence is chosen like multiplication since `a .<<. k == a * 2^k`.

(.>>.) :: Bits a => a -> Int -> a infixl 7 #

Infix variant of `shiftR`. Precedence is chosen like division since `a .>>. k == a / 2^k`.